## com.google.gwt.event.shared
Class GwtEvent.Type<H>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent.Type<H>

Type Parameters:
  `H` - handler type

Direct Known Subclasses:
  DomEvent.Type

Enclosing class:
  GwtEvent<H extends EventHandler>

    public static class GwtEvent.Type<H>

extends java.lang.Object

Type class used to register events with the `HandlerManager`.

Type is parameterized by the handler type in order to make the addHandler method type safe.

Constructor Summary
`GwtEvent.Type()` Constructor.

Method Summary
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GwtEvent.Type

    public GwtEvent.Type()

  Constructor.

Method Detail

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`